commit f6b9603a23e829212bbca95f9f9d592bd8a318cb
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Jul 5 20:00:04 2024 +0100

    libstdc++: Use reserved form of [[__likely__]] in <variant>
    
    We should not use [[unlikely]] before C++20, so use [[__unlikely__]]
    instead.
    
    libstdc++-v3/ChangeLog:
    
            * include/std/variant (_Variant_storage::_M_reset): Use
            __unlikely__ form of attribute instead of unlikely.
    
    (cherry picked from commit 9f1cd51766f251aafe0f1b898892f79855892729)

diff --git a/libstdc++-v3/include/std/variant b/libstdc++-v3/include/std/variant
index 9abe7b9ed6d..75214c687df 100644
--- a/libstdc++-v3/include/std/variant
+++ b/libstdc++-v3/include/std/variant
@@ -491,7 +491,7 @@ namespace __variant
       constexpr void
       _M_reset()
       {
-	if (!_M_valid()) [[unlikely]]
+	if (!_M_valid()) [[__unlikely__]]
 	  return;
 
 	std::__do_visit<void>([](auto&& __this_mem) mutable

